Spree Admin SDK
Delete a rule from a promotion
Required scope: write_promotions (for API-key authentication).
DELETE
Spree Admin SDK
Authorizations
Secret API key for admin access
JWT token for admin user authentication
Response
204
rule deleted
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
await client.promotions.rules.delete('promo_UkLWZg9DAJ', 'promorule_k5nR8xLq')spree api delete /promotions/{promotion_id}/promotion_rules/{id}Required scope: write_promotions (for API-key authentication).
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
await client.promotions.rules.delete('promo_UkLWZg9DAJ', 'promorule_k5nR8xLq')spree api delete /promotions/{promotion_id}/promotion_rules/{id}Secret API key for admin access
JWT token for admin user authentication
rule deleted
Was this page helpful?
